# Roblox versions

{% hint style="info" %}
**Reminder:** You can access these endpoints on **any** of our domains without restrictions. If you hit our **rate limit**, reduce the **interval** at which you are fetching our services.

The user-agent **`WEAO-3PService`** is required to access any of WEAO's resources.

**Main Domains:**

* weao.xyz
* whatexpsare.online

**Alternatives:**

* whatexploitsaretra.sh
* weao.gg
  {% endhint %}

## Current Versions (LIVE Channel) Windows/Mac/Android/iOS

You can obtain the current latest versions of Roblox via this route:

<mark style="color:green;">`GET`</mark>  `https://weao.xyz/api/versions/current`&#x20;

| Object            | Type   | What it is                                   |
| ----------------- | ------ | -------------------------------------------- |
| `Windows`         | string | The current version Roblox is on for Windows |
| `WindowsDate`     | string | When Roblox last updated for Windows         |
| `WindowsResponse` | object | Contains metadata related to the update      |
| `Mac`             | string | The current version Roblox is on for Mac     |
| `MacDate`         | string | When Roblox last updated for Mac             |
| `MacResponse`     | object | Contains metadata related to the update      |
| `Android`         | string | The current version Roblox is on for Android |
| `AndroidDate`     | string | When Roblox last updated for Android         |
| `iOS`             | string | The current version Roblox is on for iOS     |
| `iOSDate`         | string | When Roblox last updated for iOS             |

Example Response:&#x20;

{% tabs %}
{% tab title="200 (OK)" %}

```json
{
    Windows: "version-31fc142272764f02"
    WindowsDate: "9/17/2025, 8:57:32 PM UTC"
    Mac: "version-3360cc788ced462d"
    MacDate: "9/17/2025, 8:57:32 PM UTC"
    Android: "2.690.721"
    AndroidDate: "9/21/2025, 6:46:57 PM UTC"
    iOS: "2.690.721"
    iOSDate: "9/12/2025, 4:59:14 PM UTC"
}
```

{% endtab %}

{% tab title="429 (Rate limit)" %}

```json
This is only an example, your response might be different!
{
    "error": "Too Many Requests",
    "rateLimitInfo": {
        "remainingTime": 120,
        "requestsRemaining": 0,
        "resetTime": 1753410630360
    }
}
```

{% endtab %}
{% endtabs %}

## Future Versions (LIVE Channel) Windows/Mac

You can obtain the next versions of Roblox via this route:

<mark style="color:green;">`GET`</mark>  `https://weao.xyz/api/versions/future`

| Object            | Type   | What it is                                                    |
| ----------------- | ------ | ------------------------------------------------------------- |
| `Windows`         | string | The next version Roblox might update to for Windows           |
| `WindowsDate`     | string | When Roblox last deployed a future Roblox version for Windows |
| `WindowsResponse` | object | Contains metadata related to the update                       |
| `Mac`             | string | The next version Roblox might update to for Mac               |
| `MacDate`         | string | When Roblox last deployed a future Roblox version for Mac     |
| `MacResponse`     | object | Contains metadata related to the update                       |

Example Response:&#x20;

{% tabs %}
{% tab title="200 (OK)" %}

<pre class="language-json"><code class="lang-json">{
<strong>    Windows: "version-2a06298afe3947ab"
</strong>    WindowsDate: "7/23/2025, 11:42:47 PM UTC"
    Mac: "version-774691dc93a947ef"
    MacDate: "7/23/2025, 11:42:37 PM UTC"
}    
</code></pre>

{% endtab %}

{% tab title="429 (Rate limit)" %}

```json
This is only an example, your response might be different!
{
    "error": "Too Many Requests",
    "rateLimitInfo": {
        "remainingTime": 120,
        "requestsRemaining": 0,
        "resetTime": 1753410630360
    }
}
```

{% endtab %}
{% endtabs %}

## Past Versions (LIVE Channel) Windows/Mac

You can obtain the past versions (normally used for downgrading) of Roblox via this route:

<mark style="color:green;">`GET`</mark>  `https://weao.xyz/api/versions/past`

| Object            | Type   | What it is                                                       |
| ----------------- | ------ | ---------------------------------------------------------------- |
| `Windows`         | string | The previous version Roblox updated to before current on Windows |
| `WindowsDate`     | string | When Roblox last deployed this verison on Windows                |
| `WindowsResponse` | object | Contains metadata related to the update                          |
| `Mac`             | string | The previous version Roblox updated to before current on Mac     |
| `MacDate`         | string | When Roblox last deployed this verison on Mac                    |
| `MacResponse`     | object | Contains metadata related to the update                          |

Example Response:&#x20;

{% tabs %}
{% tab title="200 (OK)" %}

<pre class="language-json"><code class="lang-json">{
<strong>    Windows: "version-2a06298afe3947ab"
</strong>    WindowsDate: "7/23/2025, 11:42:47 PM UTC"
    Mac: "version-774691dc93a947ef"
    MacDate: "7/23/2025, 11:42:37 PM UTC"
}    
</code></pre>

{% endtab %}

{% tab title="429 (Rate limit)" %}

```json
This is only an example, your response might be different!
{
    "error": "Too Many Requests",
    "rateLimitInfo": {
        "remainingTime": 120,
        "requestsRemaining": 0,
        "resetTime": 1753410630360
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.weao.xyz/weao-api-reference/roblox-versions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
